import { type ReactElement, type ReactNode } from "react";
/**
 * @remarks \@since 6.0.0
 */
export declare function useSsr(): boolean;
/**
 * @remarks \@since 6.0.0
 */
export interface SsrProviderProps {
    ssr?: boolean;
    children: ReactNode;
}
/**
 * **Client Component**
 *
 * @remarks \@since 6.0.0
 */
export declare function SsrProvider(props: SsrProviderProps): ReactElement;
